HelpBot Assistant

How can I help you?

Timeline

6 Feb 20265 minutes to read

The Timeline component presents a series of events or activities in chronological order, allowing users to track the progression of time.

<div id="timeline"></div>
<script>
  let timelineObj: Timeline = new Timeline({items : [{}, {}, {}, {}, {}]});
  timelineObj.appendTo('#timeline');
</script>

Properties

align string|TimelineAlign

Defines the alignment of item content within the Timeline.
The possible values are:

  • Before
  • After
  • Alternate
  • AlternateReverse
    <div id="timeline"> </div>
import { Timeline, ItemModel } from '@syncfusion/ej2-layouts';

const textContent: ItemModel[] = [
    { content: 'Cart' },
    { content: 'Personal Info' },
    { content: 'Delivery Address' },
    { content: 'Payment' }
];

let timelineObj: Timeline = new Timeline({
    items : textContent,
    align: 'before'
});
timelineObj.appendTo('#timeline');

Defaults to TimelineAlign.After

cssClass string

Defines the CSS class to customize the Timeline appearance.

Defaults to ’’

enablePersistence boolean

Enable or disable persisting component’s state between page reloads.

Defaults to false

enableRtl boolean

Enable or disable rendering component in right to left direction.

Defaults to false

items TimelineItemModel[]

Defines the list of items.

Defaults to []

locale string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

Defaults to ’’

orientation string|TimelineOrientation

Defines the orientation type of the Timeline.
The possible values are:

  • Horizontal
  • vertical
    <div id="timeline"> </div>
import { Timeline } from '@syncfusion/ej2-layouts';

let timelineObj: Timeline = new Timeline({
    items: [{}, {}, {}, {}],
    orientation: 'horizontal'
});
timelineObj.appendTo('#timeline');

Defaults to TimelineOrientation.Vertical

reverse boolean

Defines whether to show the timeline items in reverse order or not.

Defaults to false

template string|Function

Defines the template content for each timeline item. The template context will contain the item model.

    <div id="timeline"> </div>
import { Timeline } from '@syncfusion/ej2-layouts';

let timelineObj: Timeline = new Timeline({
    items: [{}, {}, {}, {}],
    template: '<span>${currentItem}</span>'
});
timelineObj.appendTo('#timeline');

Defaults to ’’

Methods

addEventListener

Adds the handler to the given event listener.

Parameter Type Description
eventName string A String that specifies the name of the event
handler Function Specifies the call to run when the event occurs.

Returns void

appendTo

Appends the control within the given HTML element

Parameter Type Description
selector (optional) string | HTMLElement Target element where control needs to be appended

Returns void

dataBind

When invoked, applies the pending property changes immediately to the component.

Returns void

getRootElement

Returns the route element of the component

Returns HTMLElement

refresh

Applies all the pending property changes and render the component again.

Returns void

removeEventListener

Removes the handler from the given event listener.

Parameter Type Description
eventName string A String that specifies the name of the event to remove
handler Function Specifies the function to remove

Returns void

Inject

Dynamically injects the required modules to the component.

Parameter Type Description
moduleList Function[] ?

Returns void

Events

beforeItemRender EmitType<TimelineRenderingEventArgs>

Event triggers before rendering each item.

created EmitType<Event>

Event callback that is raised after rendering the timeline.

Timeline - TimelineComponent

30 Sep 20263 minutes to read

Represents the EJ2 Angular Timeline Component.

<div ejs-timeline [items]='timelineItems'></div>

Properties

align string|TimelineAlign

Defines the alignment of item content within the Timeline.
The possible values are:

  • Before
  • After
  • Alternate
  • AlternateReverse
<ejs-timeline id="timeline" [items]="textContent" align="before"></ejs-timeline>
import { Component, ViewChild, ViewEncapsulation } from "@angular/core";
import { ItemModel, Timeline } from '@syncfusion/ej2-angular-layouts';

@Component({
  selector: "app-root",
  templateUrl: "app.component.html",
  styles: [`app.component.css`],
  encapsulation: ViewEncapsulation.None
})
export class AppComponent {
    public textContent: ItemModel[] = [
        { content: 'Cart' },
        { content: 'Personal Info' },
        { content: 'Delivery Address' },
        { content: 'Payment' }
    ];
}

Defaults to TimelineAlign.After

cssClass string

Defines the CSS class to customize the Timeline appearance.

Defaults to ’’

enablePersistence boolean

Enable or disable persisting component’s state between page reloads.

Defaults to false

enableRtl boolean

Enable or disable rendering component in right to left direction.

Defaults to false

items TimelineItemModel[]

Defines the list of items.

Defaults to []

locale string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

Defaults to ’’

orientation string|TimelineOrientation

Defines the orientation type of the Timeline.
The possible values are:

  • Horizontal
  • vertical
<ejs-timeline id="timeline" [items]="items" orientation="horizontal"></ejs-timeline>
import { Component, ViewChild, ViewEncapsulation } from "@angular/core";
import { ItemModel, Timeline } from '@syncfusion/ej2-angular-layouts';

@Component({
  selector: "app-root",
  templateUrl: "app.component.html",
  styles: [`app.component.css`],
  encapsulation: ViewEncapsulation.None
})
export class AppComponent {
    public items: ItemModel[] = [{}, {}, {}, {}];
}

Defaults to TimelineOrientation.Vertical

reverse boolean

Defines whether to show the timeline items in reverse order or not.

Defaults to false

template string|object

Defines the template content for each timeline item. The template context will contain the item model.

<ejs-timeline id="timeline" [items]="items" [template]='<span>${currentItem}</span>'></ejs-timeline>
import { Component, ViewChild, ViewEncapsulation } from "@angular/core";
import { ItemModel, Timeline } from '@syncfusion/ej2-angular-layouts';

@Component({
  selector: "app-root",
  templateUrl: "app.component.html",
  styles: [`app.component.css`],
  encapsulation: ViewEncapsulation.None
})
export class AppComponent {
    public items: ItemModel[] = [{}, {}, {}, {}];
}

Defaults to ’’

Events

beforeItemRender EmitType<TimelineRenderingEventArgs>

Event triggers before rendering each item.

created EmitType<Event>

Event callback that is raised after rendering the timeline.

Syncfusion AI Assistant

How can I help you?

TimelineComponent

1 Oct 20253 minutes to read

TimelineComponent represents the react Timeline Component.

<TimelineComponent items={timelineItems} />

Properties

align string|TimelineAlign

Defines the alignment of item content within the Timeline.
The possible values are:

  • Before
  • After
  • Alternate
  • AlternateReverse
import { render } from "react-dom";
import "./index.css";
import * as React from "react";
import { TimelineComponent, ItemModel } from '@syncfusion/ej2-react-layouts';
import { SampleBase } from "./sample-base";

export class Default extends SampleBase<{}, {}> {
    public textContent: ItemModel[] = [
        { content: 'Cart' },
        { content: 'Personal Info' },
        { content: 'Delivery Address' },
        { content: 'Payment' }
    ];
    render() {
        return (
            <div>
                <TimelineComponent id="timeline" items={this.textContent} align="before"></TimelineComponent>
            </div>
        );
    }
}

render(<Default />, document.getElementById("sample"));

Defaults to TimelineAlign.After

cssClass string

Defines the CSS class to customize the Timeline appearance.

Defaults to ’’

enablePersistence boolean

Enable or disable persisting component’s state between page reloads.

Defaults to false

enableRtl boolean

Enable or disable rendering component in right to left direction.

Defaults to false

items TimelineItemModel[]

Defines the list of items.

Defaults to []

locale string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

Defaults to ’’

orientation string|TimelineOrientation

Defines the orientation type of the Timeline.
The possible values are:

  • Horizontal
  • vertical
import { render } from "react-dom";
import "./index.css";
import * as React from "react";
import { TimelineComponent, ItemModel } from '@syncfusion/ej2-react-layouts';
import { SampleBase } from "./sample-base";

export class Default extends SampleBase<{}, {}> {
    render() {
        return (
            <div>
                <TimelineComponent id="timeline" items={[{}, {}, {}, {}]} orientation="horizontal"></TimelineComponent>
            </div>
        );
    }
}

render(<Default />, document.getElementById("sample"));

Defaults to TimelineOrientation.Vertical

reverse boolean

Defines whether to show the timeline items in reverse order or not.

Defaults to false

template string|function|JSX.Element

Defines the template content for each timeline item. The template context will contain the item model.

import { render } from "react-dom";
import "./index.css";
import * as React from "react";
import { TimelineComponent, ItemModel } from '@syncfusion/ej2-react-layouts';
import { SampleBase } from "./sample-base";

export class Default extends SampleBase<{}, {}> {
    render() {
        return (
            <div>
                <TimelineComponent id="timeline" items={[{}, {}, {}, {}]} template='<span>${currentItem}</span>'></TimelineComponent>
            </div>
        );
    }
}

render(<Default />, document.getElementById("sample"));

Defaults to ’’

Events

beforeItemRender EmitType<TimelineRenderingEventArgs>

Event triggers before rendering each item.

created EmitType<Event>

Event callback that is raised after rendering the timeline.

Timeline - TimelineComponent
30 Sep 20263 minutes to read
Represents the Essential JS 2 VueJS Timeline Component.
<ejs-timeline :items='timelineItems'></ejs-timeline>Properties
align string|TimelineAlign
Defines the alignment of item content within the Timeline.
The possible values are:
- Before
- After
- Alternate
- AlternateReverse
<template>
<ejs-timeline id="timeline" :items="textContent" align="before"></ejs-timeline>
</template>
<script>
import Vue from "vue";
import { TimelinePlugin } from "@syncfusion/ej2-vue-layouts";
Vue.use(TimelinePlugin);
export default Vue.extend({
data: function() {
return {
textContent: [
{ content: 'Cart' },
{ content: 'Personal Info' },
{ content: 'Delivery Address' },
{ content: 'Payment' }
]
};
}
});
</script>Defaults to TimelineAlign.After
cssClass string
Defines the CSS class to customize the Timeline appearance.
Defaults to ’’
enablePersistence boolean
Enable or disable persisting component’s state between page reloads.
Defaults to false
enableRtl boolean
Enable or disable rendering component in right to left direction.
Defaults to false
items TimelineItemModel[]
Defines the list of items.
Defaults to []
locale string
Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.
Defaults to ’’
orientation string|TimelineOrientation
Defines the orientation type of the Timeline.
The possible values are:
- Horizontal
- vertical
<template>
<ejs-timeline id="timeline" :items="items" orientation="horizontal"></ejs-timeline>
</template>
<script>
import Vue from "vue";
import { TimelinePlugin } from "@syncfusion/ej2-vue-layouts";
Vue.use(TimelinePlugin);
export default Vue.extend({
data: function() {
return { items: [{}, {}, {}, {}] };
}
});
</script>Defaults to TimelineOrientation.Vertical
reverse boolean
Defines whether to show the timeline items in reverse order or not.
Defaults to false
template string|function
Defines the template content for each timeline item. The template context will contain the item model.
<template>
<ejs-timeline id="timeline" :items="items" :template="template"></ejs-timeline>
</template>
<script>
import Vue from "vue";
import { TimelinePlugin } from "@syncfusion/ej2-vue-layouts";
Vue.use(TimelinePlugin);
export default Vue.extend({
data: function() {
return {
items: [{}, {}, {}, {}],
template: '<span>${currentItem}</span>'
};
}
});
</script>Defaults to ’’
Events
beforeItemRender EmitType<TimelineRenderingEventArgs>
Event triggers before rendering each item.
created EmitType<Event>
Event callback that is raised after rendering the timeline.